-- Set RaidGuy Window Positions
local Settings = Turbine.PluginData.Load(Turbine.DataScope.Character, "RaidGuySettings");
local WindX,WindY=Turbine.UI.Display:GetWidth()/2-100,Turbine.UI.Display:GetHeight()/2-100;
if Settings~=nil then
	if Settings["WindPosX"]~=nil then WindX=Settings["WindPosX"] end
	if Settings["WindPosY"]~=nil then WindY=Settings["WindPosY"] end
end


-- Create Window
wRaidGuy = Turbine.UI.Lotro.Window();
wRaidGuy:SetSize(215,650);
wRaidGuy:SetPosition(WindX,WindY);
wRaidGuy:SetText("RaidGuy");
if Settings~=nil then wRaidGuy:SetVisible(Settings["WindState"]) end

-- Create About Button
wRaidGuy.AboutButton=Turbine.UI.Lotro.Button();
wRaidGuy.AboutButton:SetParent(wRaidGuy);
wRaidGuy.AboutButton:SetSize(100,30);
wRaidGuy.AboutButton:SetPosition(wRaidGuy:GetWidth()/4+10,wRaidGuy:GetHeight()-40);
wRaidGuy.AboutButton:SetText("About");
wRaidGuy.AboutButton.MouseClick=function()
	Turbine.Shell.WriteLine("<rgb=#8888ff>RaidGuy " .. version .. " By Radicus Hood</rgb>");
	Turbine.Shell.WriteLine("<rgb=#fffffff>If you love this plugin, please make a donation to:");
	Turbine.Shell.WriteLine("<rgb=#888888>(PayPal) <rgb=#e9e230>paul@anotherworld.com.au</rgb> <rgb=#ffffff>or</rgb> <rgb=#888888>(BitCoin) <rgb=#e9e230>12PoPSt2VSabwD5VLwRrxzGfwVVkAr3m2b</rgb>");
end

-- Counters
ResetCount = 6;
Count = ResetCount;
ypos = 10; -- starting line

-- Channels
ChannelList = {"Raid", "Fellowship", "OOC", "Shout", "Kinship", "Local", "GLFF", "World"};
ChannelCode = {"/ra", "/f", "/ooc", "/shout", "/k","/say", "/1", "/wd"};

Channel = ChannelCode[1] .. " ";

-- Actions
ypos = ypos + 20;
ActionsLabel = Turbine.UI.Label();
ActionsLabel:SetParent(wRaidGuy);
ActionsLabel:SetText("Actions");	
ActionsLabel:SetFont(Turbine.UI.Lotro.Font.Verdana12);
ActionsLabel:SetForeColor(Turbine.UI.Color(1,1,0));
ActionsLabel:SetSize(150,15);
ActionsLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Middle);
ActionsLabel:SetPosition(90,35)

-- ReadyCheck Button & Quickslot
ypos = ypos + 20;
ReadyCheckButton = Turbine.UI.Button();
ReadyCheckButton:SetParent(wRaidGuy);
ReadyCheckButton:SetSize(32,32);
ReadyCheckButton:SetBackground("RadicusPlugins/RaidGuy/Resources/ReadyCheck.tga");
ReadyCheckButton:SetPosition(20,ypos);
ReadyCheckButton:SetVisible(true);
ReadyCheckqs=Turbine.UI.Lotro.Quickslot();
ReadyCheckqs:SetParent(ReadyCheckButton);
ReadyCheckqs:SetSize(ReadyCheckButton:GetWidth()+34,ReadyCheckButton:GetHeight()+34);
ReadyCheckqs:SetPosition(-34,-34);
ReadyCheckqs:SetAllowDrop(false);
ReadyCheckqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData("/readycheck");
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
ReadyCheckqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, "/readycheck"));
ReadyCheckqs.AliasText="/readycheck";
ReadyCheckqs.MouseClick=function()
	Turbine.Shell.WriteLine("Performing ReadyCheck");
end
ReadyCheckLabel = Turbine.UI.Label();
ReadyCheckLabel:SetParent(wRaidGuy);
ReadyCheckLabel:SetText("Perform Ready Check");	
ReadyCheckLabel:SetPosition(60,ypos+10)
ReadyCheckLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
ReadyCheckLabel:SetForeColor(Turbine.UI.Color(1,1,0));
ReadyCheckLabel:SetSize(150,15);
ReadyCheckLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Left);

-- Green Flag Button
ypos = ypos + 40;
GreenFlagButton = Turbine.UI.Button();
GreenFlagButton:SetParent(wRaidGuy);
GreenFlagButton:SetSize(32,32);
GreenFlagButton:SetBackground("RadicusPlugins/RaidGuy/Resources/GreenFlag.tga");
GreenFlagButton:SetPosition(20,ypos);
GreenFlagButton:SetVisible(true);
GreenFlagqs=Turbine.UI.Lotro.Quickslot();
GreenFlagqs:SetParent(GreenFlagButton);
GreenFlagqs:SetSize(GreenFlagButton:GetWidth()+34,GreenFlagButton:GetHeight()+34);
GreenFlagqs:SetPosition(-34,-34);
GreenFlagqs:SetAllowDrop(false);
GreenFlagqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData("All Green");
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
GreenFlagqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. "All Green"));
GreenFlagqs.AliasText=Channel .. "All Green";
GreenFlagLabel = Turbine.UI.Label();
GreenFlagLabel:SetParent(wRaidGuy);
GreenFlagLabel:SetText("Green");	
GreenFlagLabel:SetPosition(60,ypos+10)
GreenFlagLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
GreenFlagLabel:SetForeColor(Turbine.UI.Color(1,1,0));
GreenFlagLabel:SetSize(150,15);
GreenFlagLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Left);

-- Red Flag Button
RedFlagButton = Turbine.UI.Button();
RedFlagButton:SetParent(wRaidGuy);
RedFlagButton:SetSize(32,32);
RedFlagButton:SetBackground("RadicusPlugins/RaidGuy/Resources/RedFlag.tga");
RedFlagButton:SetPosition(110,ypos);
RedFlagButton:SetVisible(true);
RedFlagqs=Turbine.UI.Lotro.Quickslot();
RedFlagqs:SetParent(RedFlagButton);
RedFlagqs:SetSize(RedFlagButton:GetWidth()+34,RedFlagButton:GetHeight()+34);
RedFlagqs:SetPosition(-34,-34);
RedFlagqs:SetAllowDrop(false);
RedFlagqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData(Channel .. "Waiting on " .. ";target");
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
RedFlagqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. "Waiting on " .. ";target"));
RedFlagqs.AliasText=Channel .. "Waiting on " .. ";target";
RedFlagLabel = Turbine.UI.Label();
RedFlagLabel:SetParent(wRaidGuy);
RedFlagLabel:SetText("Waiting");	
RedFlagLabel:SetPosition(150,ypos+10)
RedFlagLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
RedFlagLabel:SetForeColor(Turbine.UI.Color(1,1,0));
RedFlagLabel:SetSize(150,15);
RedFlagLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Left);

-- Countdown Button & Quickslot
ypos=ypos+40;
CountButton = Turbine.UI.Button();
CountButton:SetParent(wRaidGuy);
CountButton:SetSize(32,32);
CountButton:SetBackground("RadicusPlugins/RaidGuy/Resources/Count.tga");
CountButton:SetPosition(20,ypos);
CountButton:SetVisible(true);
Countqs = Turbine.UI.Lotro.Quickslot();
Countqs:SetParent(CountButton);
Countqs:SetSize(CountButton:GetWidth()+34,CountButton:GetHeight()+34);
Countqs:SetPosition(-34,-34);
Countqs:SetAllowDrop(false);
Countqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData(Channel .. Count);
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
CountLabel = Turbine.UI.Label();
CountLabel:SetParent(wRaidGuy);
CountLabel:SetText("Countdown");	
CountLabel:SetPosition(60,ypos+10)
CountLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
CountLabel:SetForeColor(Turbine.UI.Color(1,1,0));
CountLabel:SetSize(150,15);
CountLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Left);

-- Reset Timer Button
ResetButton = Turbine.UI.Lotro.Button();
ResetButton:SetParent(wRaidGuy);
ResetButton:SetSize(40,25);
ResetButton:SetPosition(160,ypos+7);
ResetButton:SetText("Reset");
ResetButton.MouseClick = function()
	Count = ResetCount;
	UpdateAliases(Channel);
	Turbine.Shell.WriteLine("Counter Reset");
end

-- Shouts Label
ypos = ypos + 40;
ShoutsLabel = Turbine.UI.Label();
ShoutsLabel:SetParent(wRaidGuy);
ShoutsLabel:SetText("Shouts");	
ShoutsLabel:SetFont(Turbine.UI.Lotro.Font.Verdana12);
ShoutsLabel:SetForeColor(Turbine.UI.Color(1,1,0));
ShoutsLabel:SetSize(150,15);
ShoutsLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Middle);
ShoutsLabel:SetPosition(90,ypos)

-- Warcry Button & Quickslot
ypos = ypos + 20;
WarcryButton = Turbine.UI.Button();
WarcryButton:SetParent(wRaidGuy);
WarcryButton:SetSize(32,32);
WarcryButton:SetBackground("RadicusPlugins/RaidGuy/Resources/Attack.tga");
WarcryButton:SetPosition(20,ypos);
WarcryButton:SetVisible(true);
Warcryqs = Turbine.UI.Lotro.Quickslot();
Warcryqs:SetParent(WarcryButton);
Warcryqs:SetSize(WarcryButton:GetWidth()+34,WarcryButton:GetHeight()+34);
Warcryqs:SetPosition(-34,-34);
Warcryqs:SetAllowDrop(false);
Warcryqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, "");
	sc:SetData(Channel .. Warcry);
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
WarcryLabel = Turbine.UI.Label();
WarcryLabel:SetParent(wRaidGuy);
WarcryLabel:SetText("Warcry!");	
WarcryLabel:SetPosition(60,ypos+10)
WarcryLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
WarcryLabel:SetForeColor(Turbine.UI.Color(1,1,0));
WarcryLabel:SetSize(150,15);
WarcryLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Left);

-- Random Button
RandomButton = Turbine.UI.Lotro.Button();
RandomButton:SetParent(wRaidGuy);
RandomButton:SetSize(60,25);
RandomButton:SetPosition(140,ypos+7);
RandomButton:SetText("Random");
RandomButton.MouseClick = function()
	WarcryNum = math.random(MaxWarcrys);
	Warcryqs:SetWantsUpdates(true);
end

-- Target Button & Quickslot
ypos = ypos + 40;
TargetButton = Turbine.UI.Button();
TargetButton:SetParent(wRaidGuy);
TargetButton:SetSize(32,32);
TargetButton:SetBackground("RadicusPlugins/RaidGuy/Resources/Target.tga");
TargetButton:SetPosition(20,ypos);
TargetButton:SetVisible(true);
Targetqs = Turbine.UI.Lotro.Quickslot();
Targetqs:SetParent(TargetButton);
Targetqs:SetSize(TargetButton:GetWidth()+34,TargetButton:GetHeight()+34);
Targetqs:SetPosition(-34,-34);
Targetqs:SetAllowDrop(false);
Targetqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData(Channel .. "Attack Target!");
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
TargetLabel = Turbine.UI.Label();
TargetLabel:SetParent(wRaidGuy);
TargetLabel:SetText("Attack Target!");	
TargetLabel:SetPosition(60,ypos+10)
TargetLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
TargetLabel:SetForeColor(Turbine.UI.Color(1,1,0));
TargetLabel:SetSize(150,15);
TargetLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Left);

-- Enemy Button & Quickslot
ypos = ypos + 40;
EnemyButton = Turbine.UI.Button();
EnemyButton:SetParent(wRaidGuy);
EnemyButton:SetSize(32,32);
EnemyButton:SetBackground("RadicusPlugins/RaidGuy/Resources/Enemy.tga");
EnemyButton:SetPosition(20,ypos);
EnemyButton:SetVisible(true);
Enemyqs = Turbine.UI.Lotro.Quickslot();
Enemyqs:SetParent(EnemyButton);
Enemyqs:SetSize(EnemyButton:GetWidth()+34,EnemyButton:GetHeight()+34);
Enemyqs:SetPosition(-34,-34);
Enemyqs:SetAllowDrop(false);
Enemyqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData(Channel .. ";target sighted at ;loc!");
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
EnemyLabel = Turbine.UI.Label();
EnemyLabel:SetParent(wRaidGuy);
EnemyLabel:SetText("Target Sighted!");	
EnemyLabel:SetPosition(60,ypos+10)
EnemyLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
EnemyLabel:SetForeColor(Turbine.UI.Color(1,1,0));
EnemyLabel:SetSize(150,15);
EnemyLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Left);

-- Track Button & Quickslot
ypos = ypos + 40;
TrackButton = Turbine.UI.Button();
TrackButton:SetParent(wRaidGuy);
TrackButton:SetSize(32,32);
TrackButton:SetBackground("RadicusPlugins/RaidGuy/Resources/Track.tga");
TrackButton:SetPosition(20,ypos);
TrackButton:SetVisible(true);
Trackqs = Turbine.UI.Lotro.Quickslot();
Trackqs:SetParent(TrackButton);
Trackqs:SetSize(TrackButton:GetWidth()+34,TrackButton:GetHeight()+34);
Trackqs:SetPosition(-34,-34);
Trackqs:SetAllowDrop(false);
Trackqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData(Channel .. "Coast Is Clear!");
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
TrackLabel = Turbine.UI.Label();
TrackLabel:SetParent(wRaidGuy);
TrackLabel:SetText("Coast Is Clear!");	
TrackLabel:SetPosition(60,ypos+10)
TrackLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
TrackLabel:SetForeColor(Turbine.UI.Color(1,1,0));
TrackLabel:SetSize(150,15);
TrackLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Left);

-- Medic Button
ypos = ypos + 40;
MedicButton = Turbine.UI.Button();
MedicButton:SetParent(wRaidGuy);
MedicButton:SetSize(32,32);
MedicButton:SetBackground("RadicusPlugins/RaidGuy/Resources/Medic.tga");
MedicButton:SetPosition(20,ypos);
MedicButton:SetVisible(true);
Medicqs = Turbine.UI.Lotro.Quickslot();
Medicqs:SetParent(MedicButton);
Medicqs:SetSize(MedicButton:GetWidth()+34,MedicButton:GetHeight()+34);
Medicqs:SetPosition(-34,-34);
Medicqs:SetAllowDrop(false);
Medicqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData(Channel .. "Target Needs Help!");
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
MedicLabel = Turbine.UI.Label();
MedicLabel:SetParent(wRaidGuy);
MedicLabel:SetText("Target Needs Help!");	
MedicLabel:SetPosition(60,ypos+10)
MedicLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
MedicLabel:SetForeColor(Turbine.UI.Color(1,1,0));
MedicLabel:SetSize(150,15);
MedicLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Left);

-- Retreat Button
ypos = ypos + 40;
RetreatButton = Turbine.UI.Button();
RetreatButton:SetParent(wRaidGuy);
RetreatButton:SetSize(32,32);
RetreatButton:SetBackground("RadicusPlugins/RaidGuy/Resources/Retreat.tga");
RetreatButton:SetPosition(20,ypos);
RetreatButton:SetVisible(true);
Retreatqs = Turbine.UI.Lotro.Quickslot();
Retreatqs:SetParent(RetreatButton);
Retreatqs:SetSize(RetreatButton:GetWidth()+34,RetreatButton:GetHeight()+34);
Retreatqs:SetPosition(-34,-34);
Retreatqs:SetAllowDrop(false);
Retreatqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData(Channel .. "Retreat!");
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
RetreatLabel = Turbine.UI.Label();
RetreatLabel:SetParent(wRaidGuy);
RetreatLabel:SetText("Retreat!");	
RetreatLabel:SetPosition(60,ypos+10)
RetreatLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
RetreatLabel:SetForeColor(Turbine.UI.Color(1,1,0));
RetreatLabel:SetSize(150,15);
RetreatLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Left);

-- Congratulations Button
ypos = ypos + 40;
CongratsButton = Turbine.UI.Button();
CongratsButton:SetParent(wRaidGuy);
CongratsButton:SetSize(32,32);
CongratsButton:SetBackground("RadicusPlugins/RaidGuy/Resources/High5.tga");
CongratsButton:SetPosition(20,ypos);
CongratsButton:SetVisible(true);
Congratsqs = Turbine.UI.Lotro.Quickslot();
Congratsqs:SetParent(CongratsButton);
Congratsqs:SetSize(CongratsButton:GetWidth()+34,CongratsButton:GetHeight()+34);
Congratsqs:SetPosition(-34,-34);
Congratsqs:SetAllowDrop(false);
Congratsqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData(Channel .. "Congratulations " .. ";target" .. "!");
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
CongratsLabel = Turbine.UI.Label();
CongratsLabel:SetParent(wRaidGuy);
CongratsLabel:SetText("Congrats Target!");	
CongratsLabel:SetPosition(60,ypos+10)
CongratsLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
CongratsLabel:SetForeColor(Turbine.UI.Color(1,1,0));
CongratsLabel:SetSize(150,15);
CongratsLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Left);

-- RedEye Button
ypos = ypos + 40;
RedEyeButton = Turbine.UI.Button();
RedEyeButton:SetParent(wRaidGuy);
RedEyeButton:SetSize(32,32);
RedEyeButton:SetBackground("RadicusPlugins/RaidGuy/Resources/RedEye.tga");
RedEyeButton:SetPosition(20,ypos);
RedEyeButton:SetVisible(true);
RedEyeqs = Turbine.UI.Lotro.Quickslot();
RedEyeqs:SetParent(RedEyeButton);
RedEyeqs:SetSize(RedEyeButton:GetWidth()+34,RedEyeButton:GetHeight()+34);
RedEyeqs:SetPosition(-34,-34);
RedEyeqs:SetAllowDrop(false);
RedEyeqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData(Channel .. ";target" ..  " Has Red Eye! Run!");
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
RedEyeLabel = Turbine.UI.Label();
RedEyeLabel:SetParent(wRaidGuy);
RedEyeLabel:SetText("Has Red Eye! Run!");	
RedEyeLabel:SetPosition(60,ypos+10)
RedEyeLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
RedEyeLabel:SetForeColor(Turbine.UI.Color(1,1,0));
RedEyeLabel:SetSize(150,15);
RedEyeLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Left);

-- Combustion Button
ypos = ypos + 40;
CombustionButton = Turbine.UI.Button();
CombustionButton:SetParent(wRaidGuy);
CombustionButton:SetSize(32,32);
CombustionButton:SetBackground("RadicusPlugins/RaidGuy/Resources/Combustion.tga");
CombustionButton:SetPosition(20,ypos);
CombustionButton:SetVisible(true);
Combustionqs = Turbine.UI.Lotro.Quickslot();
Combustionqs:SetParent(CombustionButton);
Combustionqs:SetSize(CombustionButton:GetWidth()+34,CombustionButton:GetHeight()+34);
Combustionqs:SetPosition(-34,-34);
Combustionqs:SetAllowDrop(false);
Combustionqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData(Channel .. ";target" .. " Has Combustion! Run!");
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
CombustionLabel = Turbine.UI.Label();
CombustionLabel:SetParent(wRaidGuy);
CombustionLabel:SetText("Has Combustion! Run!");	
CombustionLabel:SetPosition(60,ypos+10)
CombustionLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
CombustionLabel:SetForeColor(Turbine.UI.Color(1,1,0));
CombustionLabel:SetSize(150,15);
CombustionLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Left);

-- Create Fellowship Raid & Local Buttons (from bottom of window)

ypos = ypos + 35;
ChannelsLabel = Turbine.UI.Label();
ChannelsLabel:SetParent(wRaidGuy);
ChannelsLabel:SetText("Channel Selection");	
ChannelsLabel:SetFont(Turbine.UI.Lotro.Font.Verdana12);
ChannelsLabel:SetForeColor(Turbine.UI.Color(1,1,0));
ChannelsLabel:SetSize(150,15);
ChannelsLabel:SetTextAlignment(Turbine.UI.ContentAlignment.Middle);
ChannelsLabel:SetPosition(65,ypos)

ypos = ypos + 15;
Channels = DropDown.Create(ChannelList);
Channels:SetParent(wRaidGuy);
Channels:SetPosition(wRaidGuy:GetWidth()/4,ypos);
Channels:SetSize(wRaidGuy:GetWidth()/2+8,20);
Channels:SetVisible(true);
Channels:SetMenuColor(Turbine.UI.Color(.1,.1,.1,.1));
Channels:SetBorderColor(Turbine.UI.Color(.2,.2,.2));
Channels:SetLabel(ChannelList[1])
Channels.ItemChanged = function ()
	s = Channels;
	Turbine.Shell.WriteLine("<rgb=#55aaaa>Channel set to " .. s:GetText() .. ".</rgb>");
	ChannelCount = 0;
	for k,v in pairs (ChannelList) do
		ChannelCount = ChannelCount + 1;
		if s:GetText() == ChannelList[ChannelCount] then
			Channel = ChannelCode[ChannelCount] .. " ";
		end
	end
	UpdateAliases(Channel);
end


--RaidButton = Turbine.UI.Lotro.Button();
--RaidButton:SetParent(wRaidGuy);
--RaidButton:SetSize(60,25);
--RaidButton:SetPosition(15,wRaidGuy:GetHeight()-50);
--RaidButton:SetText("Raid");

--RaidButton.MouseClick = function()
--	Channel = RaidChannel;
--	UpdateAliases(Channel);
--	Turbine.Shell.WriteLine("Raid Channel Selected");
--end

--FellowshipButton = Turbine.UI.Lotro.Button();
--FellowshipButton:SetParent(wRaidGuy);
--FellowshipButton:SetSize(60,25);
--FellowshipButton:SetPosition(78,wRaidGuy:GetHeight()-50);
--FellowshipButton:SetText("Fellow");

--FellowshipButton.MouseClick = function()
--	Channel = FellowChannel;
--	UpdateAliases(Channel);
--	Turbine.Shell.WriteLine("Fellowship Channel Selected");
--end

--LocalButton = Turbine.UI.Lotro.Button();
--LocalButton:SetParent(wRaidGuy);
--LocalButton:SetSize(60,25);
--LocalButton:SetPosition(141,wRaidGuy:GetHeight()-50);
--LocalButton:SetText("Local");

--LocalButton.MouseClick = function()
--	Channel = LocalChannel;
--	UpdateAliases(Channel);
--	Turbine.Shell.WriteLine("Local Channel Selected");
--end
-----------------------------------------------------------------------------------------------------------------------------
-- Update Counter
Countqs.MouseClick=function()
	if Count > 0 then
 		Count = Count - 1;
	end
	Countqs:SetWantsUpdates(true);
end

Countqs.Update=function()
	UpdateAliases(Channel);
	Countqs:SetWantsUpdates(false);
end

-- Upadate Warcry
Warcryqs.MouseClick=function()
	WarcryNum = math.random(MaxWarcrys);
	Warcryqs:SetWantsUpdates(true);
end

Warcryqs.Update=function()
	UpdateAliases(Channel);
	Warcryqs:SetWantsUpdates(false);
end

-- Update Aliases
function UpdateAliases(Channel)
	if Count <= 0 then
		CountText = "Charge!";
		Count = 0;
	else
		if Count == 6 then
			CountText = "Going in " .. tostring(Count);
		else
			CountText = tostring(Count);
		end
	end
	Countqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. CountText));
	Countqs.AliasText=Channel .. CountText;
	GreenFlagqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. "All Green... Get Ready."));
	GreenFlagqs.AliasText=Channel .. "All Green... Get Ready.";
	RedFlagqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. "Waiting on ;target."));
	RedFlagqs.AliasText=Channel .. "Waiting on ;target.";
	Warcryqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. Warcrys[WarcryNum]));
	Warcryqs.AliasText=Channel .. Warcrys[WarcryNum];
	Targetqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. "Attack ;target!"));
	Targetqs.AliasText=Channel .. "Attack ;target";
	Enemyqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. ";target sighted at ;loc!"));
	Enemyqs.AliasText=Channel .. ";target sighted at ;loc!";
	Trackqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. "Coast is Clear!"));
	Trackqs.AliasText=Channel .. "Coast is Clear!";
	Medicqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. ";target needs help!"));
	Medicqs.AliasText=Channel .. ";target needs help!";
	Retreatqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. "Retreat!"));
	Retreatqs.AliasText=Channel .. "Retreat!";
	Congratsqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. "Congratulations ;target!"));
	Congratsqs.AliasText=Channel .. "Congratulations ;target!";
	Combustionqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. ";target Has Combustion! Run!"));
	Combustionqs.AliasText=Channel .. ";target Has Combustion! Run!";
	RedEyeqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Channel .. ";target Has Red Eye! Run!"));
	RedEyeqs.AliasText=Channel .. ";target Has Red Eye! Run!";
end

-- Initial Update Aliases for all buttons
UpdateAliases(Channel);